Bug 440481 - (sambanet) /usr/bin/net permission denied under selinux enforcing
/usr/bin/net permission denied under selinux enforcing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-03 14:25 EDT by lomic
Modified: 2008-11-17 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 17:03:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lomic 2008-04-03 14:25:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 2.0.50727)

Description of problem:
Samba net command fails on x86_64 but works fine om i386.

The audit log shows:

type=SELINUX_ERR msg=audit(1207198475.997:53): security_compute_sid: invalid context system_u:system_r:samba_unconfined_net_t:s0-s0:c0.c1023 for scontext=system_u:system_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:samba_net_exec_t:s0 tclass=process
type=SYSCALL msg=audit(1207198475.997:53): arch=c000003e syscall=59 success=no exit=-13 a0=8ea540 a1=8cf930 a2=8d0160 a3=8 items=0 ppid=2956 pid=2970 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts0 comm="bash" exe="/bin/bash" > subj=system_u:system_r:unconfined_t:s0-s0:c0.c1023 key=(null)



Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. enable selinux
2. run net 

Actual Results:
permission denied

Expected Results:
fail with any arguments, please!

Additional info:
Comment 1 Daniel Walsh 2008-04-06 07:26:18 EDT
Fixed in selinux-policy-3.0.8-98.fc8
Comment 2 Daniel Walsh 2008-11-17 17:03:27 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.